Package org.apache.tapestry5.corelib.pages

# Class ComponentLibraries

java.lang.Object
org.apache.tapestry5.corelib.pages.ComponentLibraries

@UnknownActivationContextCheck(false) @WhitelistAccessOnly public class ComponentLibraries extends Object
Page used to describe the component libraries being used in the application. Notice: the implementation of this page was done to avoid creating components, so the Tapestry 5 Core Library didn't get polluted with internal-only components.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComponentLibraries()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClassName(String logicalName)`
  `String`
  `getComponentClassName()`
  `Block`
  `getComponentsTable()`
  `Object`
  `getContext()`
  `List<String>`
  `getDependencies()`
  `List<String>`
  `getDependents()`
  `Description`
  `getDescription()`
  `String`
  `getDisplayLogicalName()`
  `String`
  `getGraphvizValue()`
  `ComponentLibraryInfo`
  `getInfo()`
  `String`
  `getJavaDocUrl()`
  `String`
  `getLibraryClientId()`
  `List<LibraryMapping>`
  `getLibraryMappings()`
  `String`
  `getLibraryName()`
  `List<String>`
  `getLibraryNames()`
  `Block`
  `getMixinsTable()`
  `Block`
  `getPagesTable()`
  `String`
  `getSimpleLogicalName()`
  `String`
  `getSourceUrl()`
  `String[]`
  `getTags()`
  `boolean`
  `isClassHasTags()`
  `Object`
  `onReset()`
  `Object`
  `onSelectComponent(String selectedComponent)`
  `Object`
  `onShowEverything()`
  `Object`
  `onShowRestricted()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ComponentLibraries

    public ComponentLibraries()

- ## Method Details

  - ### getLibraryMappings

    @Cached public List<LibraryMapping> getLibraryMappings()

  - ### getInfo

    @Cached(watch="libraryMapping") public ComponentLibraryInfo getInfo()

  - ### getLibraryNames

    public List<String> getLibraryNames()

  - ### getLibraryClientId

    public String getLibraryClientId()

  - ### getComponentsTable

    public Block getComponentsTable()

  - ### getPagesTable

    public Block getPagesTable()

  - ### getMixinsTable

    public Block getMixinsTable()

  - ### getSourceUrl

    public String getSourceUrl()

  - ### getJavaDocUrl

    public String getJavaDocUrl()

  - ### getSimpleLogicalName

    public String getSimpleLogicalName()

  - ### getTags

    @Cached(watch="logicalName") public String[] getTags() throws ClassNotFoundException
    Throws:
      `ClassNotFoundException`

  - ### getDescription

    @Cached(watch="logicalName") public Description getDescription() throws ClassNotFoundException
    Throws:
      `ClassNotFoundException`

  - ### isClassHasTags

    public boolean isClassHasTags() throws ClassNotFoundException
    Throws:
      `ClassNotFoundException`

  - ### getGraphvizValue

    public String getGraphvizValue()

  - ### getClassName

    public String getClassName(String logicalName)

  - ### getComponentClassName

    public String getComponentClassName()

  - ### getDependencies

    public List<String> getDependencies()

  - ### getDependents

    public List<String> getDependents()

  - ### getDisplayLogicalName

    public String getDisplayLogicalName()

  - ### onSelectComponent

    public Object onSelectComponent(String selectedComponent)

  - ### getContext

    public Object getContext()

  - ### onReset

    public Object onReset()

  - ### onShowEverything

    public Object onShowEverything()

  - ### onShowRestricted

    public Object onShowRestricted()

  - ### getLibraryName

    public String getLibraryName()